Subject: Re: bug#2598: 23.0.91; behavior of vc-dir "x" command does not match documentation

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 8 Mar 2009 11:42:13 -0700 (PDT)

Miles Bader <[email-masked]> writes:

  > Please write in English if possible, because the Emacs maintainers
  > usually do not have translators to read other languages for them.
  > 
  > Your bug report will be posted to the [email-masked] mailing list.
  > 
  > Please describe exactly what actions triggered the bug
  > and the precise symptoms of the bug:
  > 
  > 
  > In the info manual, in node `(emacs) VC Directory Commands', it says:
  > 
  >    `x' toggles hiding of up-to-date files.
  > 
  > However, in a vc-dir buffer, `x' is bound to `vc-dir-hide-up-to-date',
  > and the behavior of the command seems to match the name -- it does not
  > toggle the state, and a quick look at the implementation suggests that
  > indeed, it's only able to hide up-to-date entries, not show them.

Thanks, I fixed the doc. vc-dir-hide-up-to-date was never intended to toggle.

  > The most useful fix for this bug would be to make the "x" command able
  > to toggle (i.e, show up-to-date files, if they are not already shown),
  > but at the least, the documentation should match the behavior.

To do that correctly querying the VC system would be necessary, and
given that the number of up to date files is usually much bigger than
the modified ones (which is what vc-dir asks for most of the time), it
would be very slow.